<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Flight on the web demo</title>
    <script
      src="https://code.jquery.com/jquery-3.6.1.min.js"
      integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ="
      crossorigin="anonymous"
    ></script>
    <script src="js/flight-client.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap"
      rel="stylesheet"
    />
    <style>
      html {
        font-family: "Roboto", sans-serif;
        font-weight: 400;
      }
      * {
        font: inherit;
        margin: 0;
        padding: 0;
      }
      body {
        background-color: white;
      }
      .app-box {
        margin-top: 3em;
        max-width: 50em;
        border: 2px solid black;
        border-radius: 1em;
        margin-inline: auto;
        padding: 2em;
        background-color: hsl(30, 15%, 88%);
      }
      .app-box > * {
        margin-block: 0.5em;
      }
      .app-title {
        font-size: 2rem;
        font-weight: 700;
      }
      .flight-response {
        border: 1px solid black;
        max-width: 80ch;
        height: 3em;
      }
      #nchannels-box {
        background-color: white;
        width: 30ch;
        color: #555555;
        padding-block: 0.5em;
        padding-inline: 1em;
      }
      #send-button {
        cursor: pointer;
        padding-block: 0.5em;
        padding-inline: 1em;
      }
    </style>
  </head>
  <body>
    <div class="app-box">
      <h1 class="app-title">Simple Flight Example web app</h1>
      <h2>List flights</h2>
      <div class="flight-response" id="nchannels-box"></div>
      <button id="send-button">Query Flight Server</button>
    </div>
  </body>
</html>
